### Function

# GLib slice_free1

since: 2.10

#### Declaration [src]

    void
    g_slice_free1 (
      gsize block_size,
      gpointer mem_block
    )

#### Description [src]

Frees a block of memory.

The memory must have been allocated via `g_slice_alloc()` or `g_slice_alloc0()` and the `block_size` has to match the size specified upon allocation. Note that the exact release behaviour can be changed with the `G_DEBUG=gc-friendly` environment variable.

If `mem_block` is `NULL`, this function does nothing.

Since GLib 2.76 this always uses the system `free_sized()` implementation internally.

Available since: 2.10

#### Parameters

`block_size`

  Type: `gsize`

  The size of the block.

`mem_block`

  Type: `gpointer`

  A pointer to the block to free.

  The argument can be `NULL`.
  The data is owned by the caller of the function.